# Uses of Class
org.apache.sling.installer.api.InstallableResource

Packages that use InstallableResource
Package
Description
org.apache.sling.installer.api

## Uses of InstallableResource in org.apache.sling.installer.api

Methods in org.apache.sling.installer.api with parameters of type InstallableResource
Modifier and Type
Method
Description
`void`
OsgiInstaller.`registerResources(String urlScheme, InstallableResource[] resources)`
Provide the installer with the complete list of installable resources for a given client.
`void`
OsgiInstaller.`updateResources(String urlScheme, InstallableResource[] resources, String[] idsToRemove)`
Inform the installer that resources are available for installation and/or other resources are no longer available.